RKWARD(1)

NAME
rkward - Eine KDE-Oberfläche für die Sprache R

ÜBERSICHT

rkward [--evaluate Rcode] [--debug-level level] [--debug-flags flags] [--debug-output where] [--backend-debugger debugger_command] [--r-executable path_to_executable] [--reuse] [--autoreuse] [--nowarn-external] [KDE Generic Options] [Qt Generic Options] [files_to_open]

BESCHREIBUNG

RKWard ist die KDE-basierte GUI und IDE für die Skriptsprache R für statistische Berechnungen.

Weitere Informationen finden Sie auf der RKWard-Webseite[1] und in der Dokumentation im Programm RKWard.

OPTIONEN

--evaluate Rcode
    Der angegebene R-Code wird ausgewertet, nachdem RKWard gestartet wurde und nachdem ein beliebiger angegebenen Arbeitsbereich geladen ist. Hauptsächlich nützlich für automatisierte Tests.

--debug-level level
    Umfang der Debug-Ausgabe. 0-5, wobei 0 keine Ausgabe und 5 die vollständige Ausgabe einschließlich Informationen zur Funktionsverfolgung bedeutet. Voreinstellung ist 2.

--debug-output where
    Wohin die Debug-Ausgabe gesendet werden soll. Standardmäßig wird sie in einer Datei im temporären Verzeichnis gespeichert. Wenn Sie „terminal“ angeben, wird die Debug-Ausgabe stattdessen nach stderr geschrieben (nützlich zum Debuggen von Startproblemen). Beachten Sie, dass die Debug-Ausgabe vom Backend-Prozess immer in einer Datei gespeichert wird.

--debug-flags flags
    Festlegung der Codeabschnitte zur Fehlersuche. Schalter werden als binäre Zahl angegeben. Die Dokumentation dazu finden Sie in den Quelldateien, da es sich um eine interne Option handelt.

--backend-debugger command
    Führt das RKWard-Backend über den angegebenen Debugger-Befehl aus. Zum Hinzufügen von Befehlszeilenoptionen zum Debugger-Befehl schließen Sie diese in einfache Anführungszeichen ('') zusammen mit dem Befehl ein. Hinweis: Argumente zur Fehlersuche werden durch Leerzeichen getrennt. Wenn dies nicht sinnvoll ist, müssen Sie müssen Sie ein eigenes Skript zum Aufrufen des Debuggers schreiben. Leiten Sie außerdem alle Debugger-Ausgaben und/oder -Eingaben entsprechend um. Siehe auch das angegebene Beispiel.

--r-executable command
    Haben Sie mehrere R-Installationen, dann geben Sie die zu verwendende Installation an, z. B. /usr/bin/R. Sie können auch "auto" verwenden, in diesem Fall wird RKWard versuchen, R in einem der bekannten Standard-Installationspfade zu finden. Hinweis RKWard funktioniert zwar oft mit neueren Versionen von R, aber manchmal muss RKWard für diese Version neu kompiliert werden.

--reuse
    Wenn bereits eine Instanz von RKWard ausgeführt wird, bringen dies sie in den Vordergrund und öffnet files_to_open. Beachten Sie, dass alle anderen Befehlszeilenoptionen ignoriert werden, wenn eine Instanz wiederverwendet wird.

--autoreuse
    Verhält sich wie --reuse, wenn auch Dateiargumente angegeben werden, wird eine neue Instanz gestartet. Vorgesehen für die Verwendung in der Datei „.desktop“.

--nowarn-external
    Wenn Sie RKWard-Module von der Befehlszeile aus aufrufen, d. h. wenn files_to_open URLs in der Form rkward://runplugin/... enthält, zeigt RKWard eine Warnung, dass solche URLs verwendet werden könnten, um bösartige Aktionen auf Ihrem System auszuführen. Diese Warnung gilt speziell für Verknüpfungen zu nicht vertrauenswürdigen Webseiten oder anderen nicht vertrauenswürdigen externen Quellen. Wenn Sie ein RKWard-Skript lokal ausführen wollen, können Sie diese Warnung vermeiden, indem Sie --nowarn-external in die Befehlszeile einfügen.

files_to_open
    Sie können eine beliebige Anzahl von Dateinamen oder URLs für RKWard zum Öffnen angeben. Normalerweise sind dies entweder Arbeitsbereichsdateien, Arbeitsplatzdateien, R-Skriptdateien oder URLs wie rkward:// z. B. für den Start mit einem Modul-Dialog. Die Angabe von mehr als einer Arbeitsbereichs-Datei führt dazu, dass die Arbeitsbereiche zusammengeführt werden. Die wird wird nicht empfohlen.

SIEHE AUCH

R(1)

BEISPIELE

    # Startet mit dem Dialog t-test
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Öffnet zwei Skripte in einer laufenden Instanz von RKWard oder in einer neuen Instanz, wenn RKWard nicht ausgeführt wird
    rkward --reuse file_a.R file_b.R

    # Ausführung des RKWard-Backends durch Valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'

AUTOREN

RKWard wurde von Thomas Friedrichsmeier und dem RKWard-Team geschrieben, weitere Informationen auf der RKWard -Webseite[1].

AUTOR

Thomas Friedrichsmeier <rkward-devel@kde.org>
    RKWard-Handbuchseite

FUßNOTEN

1.  RKWard-Webseite
    https://rkward.kde.org/